gtksourceviewmm: gtksourceview::SourceCompletionInfo Class Reference

gtksourceviewmm 2.10.2

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
gtksourceview::SourceCompletionInfo Class Reference

Calltips object. More...

`#include <gtksourceviewmm/sourcecompletioninfo.h>`

Inheritance diagram for gtksourceview::SourceCompletionInfo:
[legend]

List of all members.

## Public Member Functions
GtkSourceCompletionInfo* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkSourceCompletionInfo* | gobj () const
| Provides access to the underlying C GtkObject.
| SourceCompletionInfo ()
| Creates new SourceCompletionInfo popup window.
void | move_to_iter (const Gtk::TextView& view, const Gtk::TextIter& iter)
| Moves the SourceCompletionInfo to iter.
void | move_to_iter (const Gtk::TextView& view)
| Moves the Gtk::SourceCompletionInfo to the cursor position.
void | set_sizing (int width, int height, bool shrink_width, bool shrink_height)
| Set sizing information for the info window.
void | set_widget (Gtk::Widget& widget)
| Sets the content widget of the info window.
Gtk::Widget* | get_widget ()
| Get the current content widget.
const Gtk::Widget* | get_widget () const
| Get the current content widget.
void | process_resize ()
| Do a resize if possible.
Glib::PropertyProxy< int > | property_max_height ()
| The maximum allowed height.
Glib::PropertyProxy_ReadOnly< int > | property_max_height () const
| The maximum allowed height.
Glib::PropertyProxy< int > | property_max_width ()
| The maximum allowed width.
Glib::PropertyProxy_ReadOnly< int > | property_max_width () const
| The maximum allowed width.
Glib::PropertyProxy< bool > | property_shrink_height ()
| Whether the window should shrink height to fit the contents.
Glib::PropertyProxy_ReadOnly < bool > | property_shrink_height () const
| Whether the window should shrink height to fit the contents.
Glib::PropertyProxy< bool > | property_shrink_width ()
| Whether the window should shrink width to fit the contents.
Glib::PropertyProxy_ReadOnly < bool > | property_shrink_width () const
| Whether the window should shrink width to fit the contents.
Glib::SignalProxy0< void > | signal_before_show ()
| Emited before any "show" management.
## Related Functions
(Note that these are not member functions.)
gtksourceview::SourceCompletionInfo* | wrap (GtkSourceCompletionInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Calltips object.

This object can be used to show a calltip or help for the current completion proposal.

Since gtksourceviewmm 2.10:

## Constructor & Destructor Documentation

gtksourceview::SourceCompletionInfo::SourceCompletionInfo | ( |  | ) |

Creates new SourceCompletionInfo popup window.

Returns:
  The new SourceCompletionInfo.

Since gtksourceviewmm 2.10:

## Member Function Documentation

Gtk::Widget* gtksourceview::SourceCompletionInfo::get_widget | ( |  | ) |

Get the current content widget.

Returns:
  The current content widget.

Since gtksourceviewmm 2.10:

const Gtk::Widget* gtksourceview::SourceCompletionInfo::get_widget | ( |  | ) | const

Get the current content widget.

Returns:
  The current content widget.

Since gtksourceviewmm 2.10:

void gtksourceview::SourceCompletionInfo::move_to_iter | ( | const Gtk::TextView & | view,
|  | const Gtk::TextIter & | iter
| ) |  |

Moves the SourceCompletionInfo to iter.

Moving will respect the Gdk::Gravity setting of the info window and will ensure the line at iter is not occluded by the window.

Parameters:

  view | A Gtk::TextView on which the info window should be positioned.
  iter | A Gtk::TextIter.

Since gtksourceviewmm 2.10:

void gtksourceview::SourceCompletionInfo::move_to_iter | ( | const Gtk::TextView & | view | ) |

Moves the Gtk::SourceCompletionInfo to the cursor position.

Moving will respect the Gdk::Gravity setting of the info window and will ensure the line at cursor position is not occluded by the window.

Parameters:

  view | A Gtk::TextView on which the info window should be positioned.

Since gtksourceviewmm 2.10:

void gtksourceview::SourceCompletionInfo::process_resize | ( |  | ) |

Do a resize if possible.

Since gtksourceviewmm 2.10:

Glib::PropertyProxy<int> gtksourceview::SourceCompletionInfo::property_max_height | ( |  | ) |

The maximum allowed height.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> gtksourceview::SourceCompletionInfo::property_max_height | ( |  | ) | const

The maximum allowed height.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> gtksourceview::SourceCompletionInfo::property_max_width | ( |  | ) |

The maximum allowed width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> gtksourceview::SourceCompletionInfo::property_max_width | ( |  | ) | const

The maximum allowed width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> gtksourceview::SourceCompletionInfo::property_shrink_height | ( |  | ) | const

Whether the window should shrink height to fit the contents.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> gtksourceview::SourceCompletionInfo::property_shrink_height | ( |  | ) |

Whether the window should shrink height to fit the contents.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> gtksourceview::SourceCompletionInfo::property_shrink_width | ( |  | ) |

Whether the window should shrink width to fit the contents.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> gtksourceview::SourceCompletionInfo::property_shrink_width | ( |  | ) | const

Whether the window should shrink width to fit the contents.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void gtksourceview::SourceCompletionInfo::set_sizing | ( | int | width,
|  | int | height,
|  | bool | shrink_width,
|  | bool | shrink_height
| ) |  |

Set sizing information for the info window.

If shrink_width or shrink_height is `true`, the info window will try to resize to fit the window contents, with a maximum size given by width and height. Setting width or height to -1 removes the maximum size of respectively the width and height of the window.

Parameters:

  width | The maximum/requested width of the window (-1 to default).
  height | The maximum/requested height of the window (-1 to default).
  shrink_width | Whether to shrink the width of the window to fit its contents.
  shrink_height | Whether to shrink the height of the window to fit its contents.

Since gtksourceviewmm 2.10:

void gtksourceview::SourceCompletionInfo::set_widget | ( | Gtk::Widget & | widget | ) |

Sets the content widget of the info window.

If widget does not fit within the size requirements of the window, a Gtk::ScrolledWindow will automatically be created and added to the window.

Parameters:

  widget | A Gtk::Widget.

Since gtksourceviewmm 2.10:

Glib::SignalProxy0< void > gtksourceview::SourceCompletionInfo::signal_before_show | ( |  | ) |

Emited before any "show" management.

You can connect to this signal if you want to change some properties or position before the real "show".

Since gtksourceviewmm 2.10:

Prototype:
  `void on_my_before_show()`

## Friends And Related Function Documentation

gtksourceview::SourceCompletionInfo* wrap | ( | GtkSourceCompletionInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.